• Register
Description

Experimental (read: untested) merge of CTT and Freelancer 1.5 (which includes Diplomacy). Requires Warband version 1.161 or higher. DO NOT PLAY WITH WSE. May or may not be compatible with CTT saves, I haven't tested, but definitely not compatible with regular Freelancer saves.

Preview
EXPERIMENTAL - CTT with Freelancer (08/09/2017)
Comments
malevulobug
malevulobug

not download

Reply Good karma Bad karma-3 votes
NaikJoy
NaikJoy

Does it work? gonna test this out

Reply Good karma Bad karma0 votes
NaikJoy
NaikJoy

it works.. but one thing to remember.. playing native scenes is a pain in the *** with all those hills

Reply Good karma Bad karma0 votes
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Tags

EXPERIMENTAL - CTT with Freelancer (08/09/2017) has not been tagged yet.